CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Problem with installation openfoam240 on ubuntu 14.04.03

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By lllshahablll

Reply
 
LinkBack Thread Tools Display Modes
Old   October 15, 2015, 16:15
Default Problem with installation openfoam240 on ubuntu 14.04.03
  #1
New Member
 
Lorenzo
Join Date: Oct 2015
Location: Milan
Posts: 26
Rep Power: 2
Lorenzo92 is on a distinguished road
Hello, I reported errors during the installation procedure suggested by the official site. Just after typing :sudo apt-get upgrade .
I quote the error:
W: Impossibile recuperare cdrom://Ubuntu 14.04.3 LTS _Trusty Tahr_ - Beta amd64 (20150805)/dists/trusty/restricted/binary-amd64/Packages Usare apt-cdrom per far riconoscere questo CD-ROM da APT. apt-get update non puņ essere usato per aggiungere nuovi CD-ROM

W: Impossibile recuperare cdrom://Ubuntu 14.04.3 LTS _Trusty Tahr_ - Beta amd64 (20150805)/dists/trusty/main/binary-i386/Packages Usare apt-cdrom per far riconoscere questo CD-ROM da APT. apt-get update non puņ essere usato per aggiungere nuovi CD-ROM

W: Impossibile recuperare cdrom://Ubuntu 14.04.3 LTS _Trusty Tahr_ - Beta amd64 (20150805)/dists/trusty/restricted/binary-i386/Packages Usare apt-cdrom per far riconoscere questo CD-ROM da APT. apt-get update non puņ essere usato per aggiungere nuovi CD-ROM

E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.

The language is italian unfortunately.
How can I sort this out and go on installing ?
I have followed the procedure in Ubuntu Deb Pack Installation on openfoam's official site( step 2).
Lorenzo92 is offline   Reply With Quote

Old   October 17, 2015, 11:48
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,651
Blog Entries: 39
Rep Power: 99
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quick answer: You need to disable the cd-rom as an option for installing deb packages. Try following one of the sets of instructions given here: http://askubuntu.com/questions/42441...s-when-install
wyldckat is offline   Reply With Quote

Old   October 18, 2015, 10:58
Default
  #3
New Member
 
Lorenzo
Join Date: Oct 2015
Location: Milan
Posts: 26
Rep Power: 2
Lorenzo92 is on a distinguished road
Ok thank you. Is this equivalent to go on the installation procedure ignoring the warnings? In any case if I exclude the cd rom for deb packages installation I should eventually get to same results but for the appearance of the warning messages. Is this right?
Lorenzo92 is offline   Reply With Quote

Old   October 18, 2015, 11:23
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,651
Blog Entries: 39
Rep Power: 99
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quick answer: If apt-get simply ended without doing anything else, than this wasn't a warning, it was a fatal error. Therefore it's necessary to disable the cd-rom entry from the apt-get list, so that it can run without this fatal error occurring ever again.
Either that, or put back in the CD-ROM or ISO used in the cd-rom drive .
wyldckat is offline   Reply With Quote

Old   October 18, 2015, 16:00
Default
  #5
New Member
 
Lorenzo
Join Date: Oct 2015
Location: Milan
Posts: 26
Rep Power: 2
Lorenzo92 is on a distinguished road
Then I'll try on this way , thank you again !
Lorenzo92 is offline   Reply With Quote

Old   October 20, 2015, 10:08
Default
  #6
New Member
 
Shahabeddin
Join Date: Oct 2015
Location: Iran
Posts: 16
Rep Power: 2
lllshahablll is on a distinguished road
Hi, I have almost the same problem with this version of Ubuntu and OpenFoam. when I follow the official website’s instruction I will face with error bellow:

-----------------------
Err http://www.openfoam.org/download/ubuntu/ trusty/main openfoam240 i386 0-1 503 Service Unavailable

E: Failed to fetch http://www.openfoam.org/download/ubu...0_0-1_i386.deb 503 Service Unavailable

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
-----------------------

I completely checked my network connection and there is no problem with that. Do you have any idea to solve my problem?

Last edited by lllshahablll; October 20, 2015 at 10:09. Reason: missspeled
lllshahablll is offline   Reply With Quote

Old   October 22, 2015, 01:42
Default
  #7
New Member
 
Lorenzo
Join Date: Oct 2015
Location: Milan
Posts: 26
Rep Power: 2
Lorenzo92 is on a distinguished road
probably it depends on the fact that you installed ubuntu from a iso on a cdrom just like me. Did you try to follow wyldckat instructions? (The guy who replied first my post)
Lorenzo92 is offline   Reply With Quote

Old   October 22, 2015, 15:51
Default
  #8
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,651
Blog Entries: 39
Rep Power: 99
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quick answer:
Quote:
Originally Posted by lllshahablll View Post
503 Service Unavailable

E: Failed to fetch http://www.openfoam.org/download/ubu...0_0-1_i386.deb 503 Service Unavailable
It looks like SourceForge.net is not accessible from Iran. Please see the instructions provided on this thread: Unable to determine IP address from host name "downloads.sourceforge.net"
wyldckat is offline   Reply With Quote

Old   October 28, 2015, 07:06
Post
  #9
New Member
 
Shahabeddin
Join Date: Oct 2015
Location: Iran
Posts: 16
Rep Power: 2
lllshahablll is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Quick answer:

It looks like SourceForge.net is not accessible from Iran. Please see the instructions provided on this thread: Unable to determine IP address from host name "downloads.sourceforge.net"
Yes, I think it's so.
Finally i found a new mirror for my software and the open foam is now installed.

here is the link for the mirror:
OpenFOAM 2.4.0
wyldckat likes this.
lllshahablll is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenFOAM 2.3.0 Installation Problem on CentOS 6.6 shenzhou1987 OpenFOAM Installation 1 December 14, 2014 14:34
Problem in Open foam installation in ubuntu 14.04 zannatul OpenFOAM Installation 2 November 3, 2014 21:56
Installation problem - calling blockMesh - libblockMesh.so aylalisa OpenFOAM Installation 5 November 28, 2012 10:55
Installation problem on Ubuntu gara1988 OpenFOAM Installation 1 October 15, 2012 10:00
Installation Problem with ParaView 3.12.0 on Scientific Linux 5.7 Wley OpenFOAM Installation 2 September 28, 2012 06:06


All times are GMT -4. The time now is 18:12.